SDL_GetRectAndLineIntersection(3)

NAME
SDL_GetRectAndLineIntersection - Calculate the intersection of a rectangle and line segment.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetRectAndLineIntersection(const SDL_Rect *
                                  rect, int *X1,
                                  int *Y1, int *X2,
                                  int *Y2);

DESCRIPTION
This function is used to clip a line segment to a rectangle. A line segment contained entirely within the rectangle or that does not intersect will remain unchanged. A line segment that crosses the rectangle at either or both ends will be clipped to the boundary of the rectangle and the new coordinates saved in X1 , Y1 , X2 , and/or Y2 as necessary.

FUNCTION PARAMETERS

rect
    an SDL_Rect
     structure representing the rectangle to intersect

X1  a pointer to the starting X-coordinate of the line

Y1  a pointer to the starting Y-coordinate of the line

X2  a pointer to the ending X-coordinate of the line

Y2  a pointer to the ending Y-coordinate of the line

RETURN VALUE
Returns SDL_TRUE
 if there is an intersection, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.